<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.nantian.cloud.jljc.mapper.TSupervisionEnergyTypesMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.nantian.cloud.jljc.entity.TSupervisionEnergyTypes">
        <id column="id" property="id" />
        <result column="userid" property="userid" />
        <result column="update_time" property="updateTime" />
        <result column="del_flag" property="delFlag" />
        <result column="dept_id" property="deptId" />
        <result column="monitor_id" property="monitorId" />
        <result column="energy_name" property="energyName" />
        <result column="energy_code" property="energyCode" />
        <result column="ref_modulus" property="refModulus" />
        <result column="unit" property="unit" />
        <result column="tce" property="tce" />
        <result column="remark" property="remark" />
        <result column="num" property="num" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        id, userid, update_time, del_flag, dept_id, monitor_id, energy_name, energy_code, ref_modulus, unit, tce, remark, num
    </sql>

</mapper>
